<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports DOMAIN products
 *
 * @package    Domain
 * @category   Plugins
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Product_Plugin_Domain extends Model_Product_Plugin {
	// Our required abstract methods

	public function cost($annual=FALSE) {
		// @todo
		$x = 0;

		return $annual ? $x*12 : $x;
	}

	public function render_edit() {}

	// @todo
	public function supplier() {
		return 'internal';
	}

	// Overload functions

	// This model doesnt have a database table
	public function __construct() {
	}

	// Not used
	public function render_view() {}

	// Local functions

	// @todo This is not used, but should be.
	public function order_features() {
		$output = '';
		$t = ORM::factory('Domain_TLD');

		// @todo Change this to a view.
		$output = sprintf('<table class="box-full"><tr class="head"><td>%s</td></tr><tr><td>',_('Domains are available with the following suffixes'));
		$output .= Table::display(
				$t->list_active(),
				25,
				array(
					'display("name")'=>array('label'=>'TLD Suffix'),
				),
				array(
			));
		$output .= '</td></tr></table>';

		return $output;
	}
}
?>
